package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.PaperBean;
import com.iamberry.wechat.core.entity.banner.ActionBanner;
import com.iamberry.wechat.core.entity.banner.ActionBannerImage;

/**
 * @author 何秀刚
 * Introduction to the ： 后台-banner管理mapper
 * create date: 2016年1月9日
 */
public interface AdminBannerMapper {

	/**
	 * 查询banner列表，集成搜索
	 * @param bean
	 * @return
	 */
	public List<ActionBanner> selectBannerListByPaper(PaperBean bean);
	
	/**
	 * 查询banner的数据
	 */
	public Integer selectBannerCountByPaper(PaperBean bean);
	
	/**
	 * 添加banner控制
	 */
	public Integer insertBanner(ActionBanner actionBanner);
	
	/**
	 * 暂停banner的使用
	 */
	public Integer stopBannerById(Integer bannerId);
	
	/**
	 * 根据ID获取一个banner
	 */
	public ActionBanner selectBannerById(Integer bannerId);
	
	/**
	 * 根据ID，修改banner
	 */
	public Integer updateBannerById(ActionBanner actionBanner);
	
	/**
	 * 根据bannerID，获取所属图片
	 */
	public List<ActionBannerImage> selectBannerImgByBannerId(Integer bannerId);
	
	/**
	 * 添加banner图片
	 */
	public Integer insertBannerImg(ActionBannerImage actionBannerImage);
	
	/**
	 * 根据图片ID，删除banner图片
	 */
	public Integer deleteBannerImgById(Integer id);
	
	/**
	 * 根据类型id，获取数据 （当前不适用类型id，只是为了以后扩展）
	 */
	public List<ActionBannerImage> selectNowBannerByType(Integer id);
}
